// 灰度
#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;
void main(void)
{
    vec4 texColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    vec4 grayParam = vec4(0.24, 0.5, 0.045, 0);
    float grey = dot(texColor.rgba, grayParam);
    gl_FragColor = vec4(vec3(grey), texColor.a);
}