// 灰度
#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;
void main(void)
{
    vec4 texColor = texture2D(CC_Texture0, v_texCoord);
    float red = 0.0;
    float green = 0.0;
    float blue = 0.0;

    red = dot(texColor.rgba, vec4(1, 0.0, 0.0, 0));
   	green = dot(texColor.rgba, vec4(0.0, 0.2, 0.0, 0));
    blue = dot(texColor.rgba, vec4(0.0, 0.0, 0.2, 0));
    
    gl_FragColor = vec4(vec3(red,green,blue), texColor.a) * v_fragmentColor;
}